summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPřemysl Eric Janouch <p@janouch.name>2023-12-26 01:53:31 +0100
committerPřemysl Eric Janouch <p@janouch.name>2023-12-26 01:53:31 +0100
commitbdad8bac2c904a439a5255358a8e9f90457bf663 (patch)
tree442f62c3ba4889f0efb5f6440159211e10609328
parent7db31fb880b719725bcf08a1345e96218c4330ce (diff)
downloadgallery-bdad8bac2c904a439a5255358a8e9f90457bf663.tar.gz
gallery-bdad8bac2c904a439a5255358a8e9f90457bf663.tar.xz
gallery-bdad8bac2c904a439a5255358a8e9f90457bf663.zip
Improve test script
-rwxr-xr-xtest.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/test.sh b/test.sh
index bf2fedf..007da25 100755
--- a/test.sh
+++ b/test.sh
@@ -18,14 +18,16 @@ web=$!
echo '{"path":"/tmp/Gi"}' | \
curl http://localhost:8080/api/browse -X POST --data-binary @-
-echo '{"sha1":"d53fc82162fd19a6e7b92b401b08b7505dbf3dfd"}' | \
-curl http://localhost:8080/api/info -X POST --data-binary @-
-echo '{"sha1":"9539d9895ab8c25d76c321b23b8a327801a496bb"}' | \
-curl http://localhost:8080/api/similar -X POST --data-binary @-
+echo '{}' | \
+curl http://localhost:8080/api/tags -X POST --data-binary @-
echo '{}' | \
curl http://localhost:8080/api/duplicates -X POST --data-binary @-
echo '{}' | \
curl http://localhost:8080/api/orphans -X POST --data-binary @-
+echo '{"sha1":"d53fc82162fd19a6e7b92b401b08b7505dbf3dfd"}' | \
+curl http://localhost:8080/api/info -X POST --data-binary @-
+echo '{"sha1":"9539d9895ab8c25d76c321b23b8a327801a496bb"}' | \
+curl http://localhost:8080/api/similar -X POST --data-binary @-
-kill $web
+kill $web || :
wait $web